Bug 13597 - raw.c does not compile on 2.2 kernel.
raw.c does not compile on 2.2 kernel.
Product: Red Hat Raw Hide
Classification: Retired
Component: util-linux (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
Depends On:
  Show dependency treegraph
Reported: 2000-07-08 10:46 EDT by MATSUURA Takanori
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-08 10:46:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description MATSUURA Takanori 2000-07-08 10:46:20 EDT
I found a following comment for raw command in

# raw.c does not compile on 2.2.*.
# find out later where it does and add tests to config

But util-linux-2.10c-rhconfig.patch contains following lines.

@@ -81,6 +81,9 @@
 # If HAVE_FDUTILS is set to "yes", then setfdprm won't be installed.
+# If ADD_RAW is set to "yes", then raw gets built
 # Get CC from environment if defined
 ifeq "$(CC)" ""
   CC=          gcc

I think ADD_RAW should NOT be set for 2.2.x kernel.
Comment 1 Jeff Johnson 2000-10-09 12:38:58 EDT
Red Hat 7 uses kernel-headers from 2.4, so ADD_RAW should be ok.

Note You need to log in before you can comment on or make changes to this bug.